Bug 507594 - installation of openldap-servers seems interactive
installation of openldap-servers seems interactive
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap (Show other bugs)
All Linux
low Severity medium
: beta
: ---
Assigned To: Jan Zeleny
Alexander Todorov
Depends On:
  Show dependency treegraph
Reported: 2009-06-23 08:12 EDT by Alexander Todorov
Modified: 2010-11-11 09:51 EST (History)
2 users (show)

See Also:
Fixed In Version: openldap-2.4.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-11 09:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-06-23 08:12:23 EDT
Description of problem:
Installation of openldap-servers seems interactive because prompts for generating RSA key are printed on the console. I suspect this comes from the init script of this package.

install.log looks like:

Installing openldap-servers-2.4.15-3.fc11.x86_64
Generating a 1024 bit RSA private key
writing new private key to '/tmp/openssl.YugwEa'
You are about to be asked to enter information that will be incorporated
into your certificate request.
What you are about to enter is what is called a Distinguished Name or a DN.
There are quite a few fields but you can leave some blank
For some fields there will be a default value,
If you enter '.', the field will be left blank.
Country Name (2 letter code) [GB]:State or Province Name (full name) [Berkshire]:Locality Name (eg, city) [Newbury]:Organization Name (eg, company) [My Company Ltd]:Organizational Unit Name (eg, section) []:Common Name (eg, your name or your server's hostname) []:Email Address []:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. @everything installation
Actual results:

Expected results:
The key generation should be automatic and no messages printed on the console during installation. init script messages can be redirected to /dev/null when the service is started from %post scriptlet

Additional info:
Comment 2 RHEL Product and Program Management 2009-06-23 08:26:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 4 releng-rhel@redhat.com 2009-10-29 15:20:52 EDT
Fixed in 'openldap-2.4.16-1'. 'openldap-2.4.16-2.el6' included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 6 releng-rhel@redhat.com 2010-11-11 09:51:59 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.